(function ($) {

  function notes() {

    var $link = $('#presentation a');
    $link.each(function(){
      $(this).click(function(e) {
        $this = $(this);
        if ( $this.is('#ressource') || $this.is('#publication') ) {
          e.preventDefault();

          var $url = $this.attr("href");

          if ($( ".side_notes" )[0]) {
            $( ".side_notes" ).remove();
          }
          content_type($url, $this);
          ajax($url, $this);
        }
      });
    })

    function content_type($url, $this) {
      if ($this.is('#ressource')) {
        $("<div class='side_notes'><a href="+$url+"></a> </div>").insertAfter("article");
      }else if ( $this.is('#publication') ) {
        console.log('clcik');
        $("<div class='side_notes'></>").insertAfter("article");
      }
    }

    function ajax($url , $this) {
      $.ajax({
        url: $url,
        method: "GET",
        dataType:'html',
        async: true,
        success: function(data) {
          if ($this.is('#ressource')) {
            $(data).find('article > div:not(.__wrap_side) .__wrapper').appendTo('.side_notes a');
          }else if ($this.is('#publication')) {
            $(data).find('article > div:not(.__wrap_side) .__wrapper').appendTo('.side_notes');
          }
          position_link($this);
        },
      })
    }

    function position_link($this) {
      var $top_link = $this.position().top;
      console.log($top_link);
      $('.side_notes > *').css("top", $top_link);
    }
  }

  function slide() {
    var $slide = $('main .__slide');
    $slide.each(function() {
      $(this).flickity({
        cellAlign: 'left',
        pageDots: false,
        contain: true
      })
    });

    var $footer_slide = $('footer .__slide');
    $footer_slide.each(function() {
      $(this).flickity({
        cellAlign: 'left',
        pageDots: false,
        autoPlay: true,
        pauseAutoPlayOnHover: false,
        contain: true,
        prevNextButtons: false,
      })
    });

  }

  function burger() {
    var hamburgers = document.querySelector(".hamburger");
    var nav = document.querySelector(".nav-main");
    hamburgers.addEventListener("click", function() {
      this.classList.toggle("is-active");
      nav.classList.toggle("is-active");
      $('html, body').toggleClass("is-active");
      $('#block-popsu-colloque-branding').toggleClass("is-active");
    });
  }

  function replaceAny(){
    var $any_value = $('#edit-field-theme-target-id option').attr('value');
    if ($any_value == "All") {
      var $any_content = $('#edit-field-theme-target-id option:first-child').html();
      var newhtml = $any_content.replace("- Any -", "Thèmes");
      $('#edit-field-theme-target-id option:first-child').html(newhtml);
    }
  }

  function select_custom() {

      var x, i, j, l, ll, selElmnt, a, b, c;
     /* Look for any elements with the class "form-select": */
     x = document.querySelectorAll(".js-form-item-field-theme-target-id, .js-form-item-field-type-de-publication-target-id ");
     l = x.length;
     for (i = 0; i < l; i++) {
       selElmnt = x[i].getElementsByTagName("select")[0];
       ll = selElmnt.length;
       /* For each element, create a new DIV that will act as the selected item: */
       a = document.createElement("DIV");
       a.setAttribute("class", "select-selected");
       a.innerHTML = selElmnt.options[selElmnt.selectedIndex].innerHTML;
       x[i].appendChild(a);
       /* For each element, create a new DIV that will contain the option list: */
       b = document.createElement("DIV");
       b.setAttribute("class", "select-items select-hide");
       for (j = 1; j < ll; j++) {
         /* For each option in the original select element,
         create a new DIV that will act as an option item: */
         c = document.createElement("DIV");
         c.innerHTML = selElmnt.options[j].innerHTML;
         c.addEventListener("click", function(e) {
             /* When an item is clicked, update the original select box,
             and the selected item: */
             var y, i, k, s, h, sl, yl;
             s = this.parentNode.parentNode.getElementsByTagName("select")[0];
             sl = s.length;
             h = this.parentNode.previousSibling;
             for (i = 0; i < sl; i++) {
               if (s.options[i].innerHTML == this.innerHTML) {
                 s.selectedIndex = i;
                 h.innerHTML = this.innerHTML;
                 y = this.parentNode.getElementsByClassName("same-as-selected");
                 yl = y.length;
                 for (k = 0; k < yl; k++) {
                   y[k].removeAttribute("class");
                 }
                 this.setAttribute("class", "same-as-selected");
                 break;
               }
             }
             h.click();
         });
         b.appendChild(c);
       }
       x[i].appendChild(b);
       a.addEventListener("click", function(e) {
         /* When the select box is clicked, close any other select boxes,
         and open/close the current select box: */
         e.stopPropagation();
         closeAllSelect(this);
         this.nextSibling.classList.toggle("select-hide");
         this.classList.toggle("select-arrow-active");
       });
     }

     function closeAllSelect(elmnt) {
       /* A function that will close all select boxes in the document,
       except the current select box: */
       var x, y, i, xl, yl, arrNo = [];
       x = document.getElementsByClassName("select-items");
       y = document.getElementsByClassName("select-selected");
       xl = x.length;
       yl = y.length;
       for (i = 0; i < yl; i++) {
         if (elmnt == y[i]) {
           arrNo.push(i)
         } else {
           y[i].classList.remove("select-arrow-active");
         }
       }
       for (i = 0; i < xl; i++) {
         if (arrNo.indexOf(i)) {
           x[i].classList.add("select-hide");
         }
       }
     }

     /* If the user clicks anywhere outside the select box,
     then close all select boxes: */
     document.addEventListener("click", closeAllSelect);

}

  $( document ).ready(function() {
    notes();
    slide();
    burger();
    replaceAny();
    select_custom();
  });

})(jQuery);
